export default {
  "@context": {
    odrl: "http://www.w3.org/ns/odrl/2/",
    xsd: "http://www.w3.org/2001/XMLSchema#",
    cred: "https://www.w3.org/2018/credentials#",
    sec: "https://w3id.org/security#",
    foaf: "http://xmlns.com/foaf/0.1/",
    cc: "http://creativecommons.org/ns#",
    dct: "http://purl.org/dc/terms/",
    dcat: "http://www.w3.org/ns/dcat#",
    dspace: "https://w3id.org/dspace/2024/1/",

    "dct:title": { "@language": "en" },
    "dct:creator": { "@type": "@id" },
    "dct:description": { "@container": "@set" },
    "dct:issued": { "@type": "xsd:dateTime" },
    "dct:modified": { "@type": "xsd:dateTime" },

    "dcat:byteSize": { "@type": "xsd:decimal" },
    "dcat:distribution": { "@container": "@set" },
    "dcat:theme": { "@type": "@id" },
    "dcat:conformsTo": { "@type": "@id" },
    "dcat:dataset": { "@container": "@set" },
    "dcat:endpointURL": { "@type": "xsd:anyURI" },
    "dcat:endpointDescription": { "@type": "xsd:anyURI" },
    "dcat:keyword": { "@container": "@set" },
    "dcat:servesDataset": { "@container": "@set" },
    "dcat:service": { "@container": "@set" },
    "dcat:accessService": { "@container": "@set" },

    "dspace:agreementId": { "@type": "@id" },
    "dspace:dataset": { "@type": "@id" },
    "dspace:transportType": { "@type": "@id" },
    "dspace:state": { "@type": "@id" },
    "dspace:providerId": { "@type": "@id" },
    "dspace:consumerId": { "@type": "@id" },
    "dspace:participantId": { "@type": "@id" },
    "dspace:reason": { "@container": "@set" },
    "dspace:catalog": { "@container": "@set" },
    "dspace:filter": { "@container": "@set" },
    "dspace:timestamp": { "@type": "xsd:dateTime" },
    "dspace:callbackAddress": { "@type": "xsd:anyURI" },
    "dspace:endpointProperties": { "@container": "@set" },

    "foaf:homepage": { "@type": "xsd:anyURI" },

    "odrl:hasPolicy": { "@container": "@set" },
    "odrl:permission": { "@container": "@set" },
    "odrl:prohibition": { "@container": "@set" },
    "odrl:obligation": { "@container": "@set" },
    "odrl:duty": { "@container": "@set" },
    "odrl:constraint": { "@container": "@set" },
    "odrl:action": { "@type": "@id" },
    "odrl:target": { "@type": "@id" },
    "odrl:leftOperand": { "@type": "@id" },
    "odrl:operator": { "@type": "@id" },
    "odrl:rightOperandReference": { "@type": "@id" },
    "odrl:profile": { "@container": "@set" },
    "odrl:assigner": { "@type": "@id" },
    "odrl:assignee": { "@type": "@id" }
  }
};
